Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.internal
Class EnumerationIterator<T>

    java.lang.Object
      org.apache.commons.jexl2.internal.EnumerationIterator<T>

Type Parameters:
  `T` - the type of object this iterator returns

All Implemented Interfaces:
  Iterator<T>

    public class EnumerationIterator<T>

extends Object
implements Iterator<T>

An Iterator wrapper for an Enumeration.

Since:
  1.0
Version:
  $Id: EnumerationIterator.java 889223 2009-12-10 12:05:22Z henrib $
Author:
  Geir Magnusson Jr.

Constructor Summary
`EnumerationIterator(Enumeration<T> enumer)` Creates a new iteratorwrapper instance for the specified Enumeration.

Method Summary
`boolean` | `hasNext()` Check to see if there is another element in the array.
`T` | `next()` Move to next element in the array.
`void` | `remove()` Unimplemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumerationIterator

    public EnumerationIterator(Enumeration<T> enumer)

  Creates a new iteratorwrapper instance for the specified Enumeration.

  Parameters:
    `enumer` - The Enumeration to wrap.

Method Detail

### next

    public T next()

  Move to next element in the array.

  Specified by:
    `next` in interface `Iterator<T>`
  Returns:
    The next object in the array.

### hasNext

    public boolean hasNext()

  Check to see if there is another element in the array.

  Specified by:
    `hasNext` in interface `Iterator<T>`
  Returns:
    Whether there is another element.

### remove

    public void remove()

  Unimplemented. No analogy in Enumeration

  Specified by:
    `remove` in interface `Iterator<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.